public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "NP Hardass" <np-hardass@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: mate-extra/mate-utils/
Date: Sat, 10 Sep 2016 19:35:59 +0000 (UTC)	[thread overview]
Message-ID: <1473536152.6a5597b826cddc790d1fbbd8af161adbb7b2b05d.np-hardass@gentoo> (raw)

commit:     6a5597b826cddc790d1fbbd8af161adbb7b2b05d
Author:     NP-Hardass <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  5 18:44:25 2016 +0000
Commit:     NP Hardass <np-hardass <AT> gentoo <DOT> org>
CommitDate: Sat Sep 10 19:35:52 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a5597b8

mate-extra/mate-utils: Make utils available on all DEs, #585252

Package-Manager: portage-2.3.0

 mate-extra/mate-utils/mate-utils-1.10.4-r1.ebuild | 90 +++++++++++++++++++++++
 mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild |  8 ++
 2 files changed, 98 insertions(+)

diff --git a/mate-extra/mate-utils/mate-utils-1.10.4-r1.ebuild b/mate-extra/mate-utils/mate-utils-1.10.4-r1.ebuild
new file mode 100644
index 00000000..8005839
--- /dev/null
+++ b/mate-extra/mate-utils/mate-utils-1.10.4-r1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 versionator
+
+MATE_BRANCH="$(get_version_component_range 1-2)"
+
+SRC_URI="http://pub.mate-desktop.org/releases/${MATE_BRANCH}/${P}.tar.xz"
+DESCRIPTION="Utilities for the MATE desktop"
+HOMEPAGE="http://mate-desktop.org"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+IUSE="X applet ipv6 test"
+
+RDEPEND="app-text/rarian:0
+	dev-libs/atk:0
+	>=dev-libs/glib-2.36:2
+	>=gnome-base/libgtop-2.12:2=
+	>=media-libs/libcanberra-0.4:0[gtk]
+	sys-libs/zlib:0
+	>=x11-libs/gtk+-2.24:2
+	x11-libs/cairo:0
+	x11-libs/gdk-pixbuf:2
+	x11-libs/libICE:0
+	x11-libs/libSM:0
+	x11-libs/libX11:0
+	x11-libs/libXext:0
+	x11-libs/pango:0
+	applet? ( >=mate-base/mate-panel-1.10:0 )"
+
+DEPEND="${RDEPEND}
+	>=app-text/scrollkeeper-dtd-1:1.0
+	app-text/yelp-tools:0
+	>=dev-util/intltool-0.50:*
+	>=mate-base/mate-common-1.10:0
+	x11-proto/xextproto:0
+	sys-devel/gettext:*
+	virtual/pkgconfig:*"
+
+src_prepare() {
+	gnome2_src_prepare
+
+	# Remove -D.*DISABLE_DEPRECATED cflagss
+	# This method is kinda prone to breakage. Recheck carefully with next bump.
+	# bug 339074
+	LC_ALL=C find . -iname 'Makefile.am' -exec \
+		sed -e '/-D[A-Z_]*DISABLE_DEPRECATED/d' -i {} + || die
+
+	# Do Makefile.in after Makefile.am to avoid automake maintainer-mode
+	LC_ALL=C find . -iname 'Makefile.in' -exec \
+		sed -e '/-D[A-Z_]*DISABLE_DEPRECATED/d' -i {} + || die
+
+	if ! use test; then
+		sed -e 's/ tests//' -i logview/Makefile.{am,in} || die
+	fi
+
+	# Fix up desktop files.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e 's/Categories\(.*\)MATE/Categories\1X-MATE/' -i {} + || die
+
+	# Make apps visible in all DEs.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e '/OnlyShowIn/d' -i {} + || die
+}
+
+src_configure() {
+	local myconf
+	if ! use debug; then
+		myconf="${myconf} --enable-debug=minimum"
+	fi
+
+	gnome2_src_configure \
+		$(use_enable applet gdict-applet) \
+		$(use_enable ipv6) \
+		$(use_with X x) \
+		--disable-maintainer-flags \
+		--enable-zlib \
+		${myconf}
+}
+
+DOCS="AUTHORS ChangeLog NEWS README THANKS"

diff --git a/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild b/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild
index 1022226..5369732 100644
--- a/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild
+++ b/mate-extra/mate-utils/mate-utils-1.12.0-r2.ebuild
@@ -52,6 +52,14 @@ DEPEND="${RDEPEND}
 
 PATCHES=( "${FILESDIR}/${P}-dict-gtk3.patch" )
 
+src_prepare() {
+	# Make apps visible in all DEs.
+	LC_ALL=C find . -iname '*.desktop.in*' -exec \
+		sed -e '/OnlyShowIn/d' -i {} + || die
+
+	mate_src_prepare
+}
+
 src_configure() {
 	mate_src_configure \
 		--disable-maintainer-flags \


             reply	other threads:[~2016-09-10 19:36 UTC|newest]

Thread overview: 43+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-09-10 19:35 NP Hardass [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06  7:17 [gentoo-commits] repo/gentoo:master commit in: mate-extra/mate-utils/ Sam James
2024-09-17 20:00 Andreas Sturmlechner
2024-06-18  8:06 Joonas Niilola
2024-06-16  6:06 Joonas Niilola
2024-04-09 17:28 Arthur Zamarin
2024-03-10  1:59 Sam James
2023-12-21 11:55 Sam James
2022-12-21 10:00 Andreas Sturmlechner
2022-12-16 20:39 Arthur Zamarin
2022-12-03  1:04 Sam James
2022-06-28  2:03 WANG Xuerui
2020-09-25 20:32 Adam Feldman
2020-09-02 15:41 Adam Feldman
2020-08-07  3:18 Adam Feldman
2020-05-08  4:45 Adam Feldman
2020-04-06 17:49 Adam Feldman
2020-04-06 17:49 Adam Feldman
2019-05-12 21:04 Göktürk Yüksek
2019-04-14 21:24 Mikle Kolyada
2019-04-14 16:24 Mikle Kolyada
2019-04-14 15:27 Mikle Kolyada
2019-04-07 11:49 Andreas Sturmlechner
2018-09-10 16:19 Mikle Kolyada
2018-09-09 23:53 Thomas Deutschmann
2018-02-11 15:03 Ettore Di Giacinto
2018-01-14 17:18 Ettore Di Giacinto
2017-06-04 15:18 Ettore Di Giacinto
2016-12-08 15:31 Ettore Di Giacinto
2016-11-24 22:59 Ettore Di Giacinto
2016-11-24 22:22 Ettore Di Giacinto
2016-11-21 11:02 Ettore Di Giacinto
2016-11-21 11:02 Ettore Di Giacinto
2016-10-15  2:59 NP Hardass
2016-10-15  2:59 NP Hardass
2016-08-12  5:13 NP Hardass
2016-08-06  2:12 NP Hardass
2016-07-25 18:36 NP Hardass
2016-05-30 19:18 Mikle Kolyada
2016-03-26  2:37 NP Hardass
2016-03-15 17:53 Agostino Sarubbo
2016-03-06  8:09 Mikle Kolyada
2016-02-09  2:49 NP Hardass

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1473536152.6a5597b826cddc790d1fbbd8af161adbb7b2b05d.np-hardass@gentoo \
    --to=np-hardass@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox